Abugida Test

February 6th, 2007

If you’d like to see this video you’ll need to install Macromedia Flash Player 8 (please note that we require Flash 8, and an installation of an earlier version like Flash 7 will not work).

Download Link

  1. Be the First to Comment.
እንግሊዘኛ አማርኛ